
Redmine - Defect #33514

Assigning and updating the issue is giving permision error.

2020-05-27 22:36 - Jobin @ RedminePRO

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.1.1

Description

Recently updated from  3.x to 4.1.1

We have a project with a role set as Issue visibility  "Issues created by or assigned to the user" and all the users are using the same

role.

UserA assigns to the ticket to UserB (both of them can see the ticket). UserB adds comments and sets the assignee back to UserA

and then clicks Submit, here the ticket is giving error "Issue is Invalid" and the ticket doesn't get updated.

Please note that this was working perfectly fine in 3.4 master and the issue occurred after the update to 4.1.

History

#1 - 2020-06-02 19:23 - Jobin @ RedminePRO

I just noticed that we were using #14318 patch on 3.4. It's really strange that this patch is available since 2.2 and not yet part of the core redmine yet!

#2 - 2020-06-15 07:27 - Go MAEDA

Jobin Joseph wrote:

I just noticed that we were using #14318 patch on 3.4. It's really strange that this patch is available since 2.2 and not yet part of the core redmine

yet!

 The patch was rejected because the behavior may confuse users. See #14318#note-23 and #7412#note-13.

#3 - 2020-06-15 08:20 - Jobin @ RedminePRO

Without the patch, the redmine is almost unusable for us with the configuration mentioned in the description. We have applied the patch again and it

worked on 4.1.1.

The watcher and whoever worked on that ticket should have the visibility on the ticket. AS I explained in the ticket, users are considered as staff and

they don't have access to all the tickets of the projects. So the issue visibility on the role is set as "Issues created by or assigned to the user"

UserA assigns to the ticket to UserB (both of them can see the ticket). UserB adds comments and sets the assignee back to UserA and

then clicks Submit, here the ticket is giving error "Issue is Invalid" and the ticket doesn't get updated.

To be honest, if this isn't a bug, redmine shouldn't be having the visibility option as "Issues created by or assigned to the user". Anyone using this

visibility will face this issue and patch is the only solution to this.

#4 - 2022-06-25 10:04 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid
